| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Parser
Parser.RCS
Parser.RCS()->DeltatextIterator

# Class Parser.RCS()->DeltatextIterator

Description

  Iterator for the deltatext sections of the RCS file. Typical usage:

Example

      string raw = Stdio.read_file(my_rcs_filename);
         Parser.RCS rcs = Parser.RCS(my_rcs_filename, 0);
         raw = rcs->parse_delta_sections(rcs->parse_admin_section(raw));
         foreach(rcs->DeltatextIterator(raw); int n; Parser.RCS.Revision rev)
           do_something(rev);

syntax

  `int Parser.RCS.DeltatextIterator.n` `int(0..1) read_next()`

Description

  Drops the leading whitespace before next revision's deltatext entry and sets this_rev to the revision number we're about to read.